#include "gamepad.h"
#include <gsa.h>

void init() {
	i32 x, y;

	for(y = 0; y < 11; ++y) {
		for(x = 0; x < 19; ++x) {
			maps[0].tiles[x][y] = 0x1000;
		}
	}

	for(y = 0; y < 11; y += 2) {
		maps[0].tiles[0][y] = 0x1101;
		maps[0].tiles[1][y] = 0x1102;
		maps[0].tiles[0][y + 1] = 0x1201;
		maps[0].tiles[1][y + 1] = 0x1202;

		maps[0].tiles[17][y] = 0x1101;
		maps[0].tiles[18][y] = 0x1102;
		maps[0].tiles[17][y + 1] = 0x1201;
		maps[0].tiles[18][y + 1] = 0x1202;
	}
}

void tick() {
	i32 x, y;

	x = input.down.dpad_left - input.down.dpad_right;
	y = input.down.dpad_up - input.down.dpad_down;

	maps[0].scrollx -= x;
	maps[0].scrolly -= y;
}
